package com.migration.entity;

import java.rmi.RemoteException;

import javax.ejb.CreateException;
import javax.ejb.EJBException;
import javax.ejb.EntityBean;
import javax.ejb.EntityContext;
import javax.ejb.RemoveException;

public abstract class ExampleTableEJB implements EntityBean{

	// table mappings
	public abstract Integer getImplEmptype();

	public abstract void setImplEmptype(Integer emptype);

	public abstract String getImplEmpName();

	public abstract void setImplEmpName(String empname);
	
	// field mapping
	
	public Integer getEmptype()throws RemoteException{return getImplEmptype();}

	public void setEmptype(Integer emptype)throws RemoteException{setImplEmptype(emptype);}

	public String getEmpname()throws RemoteException{return getImplEmpName();}

	public void setEmpname(String empname)throws RemoteException{setImplEmpName(empname);}
	
	//Life cycle calls
	@Override
	public void ejbActivate() throws EJBException, RemoteException {}

	@Override
	public void ejbLoad() throws EJBException, RemoteException {}

	@Override
	public void ejbPassivate() throws EJBException, RemoteException {}

	@Override
	public void ejbRemove() throws RemoveException, EJBException, RemoteException {}

	@Override
	public void ejbStore() throws EJBException, RemoteException {}

	@Override
	public void setEntityContext(EntityContext arg0) throws EJBException, RemoteException {}

	@Override
	public void unsetEntityContext() throws EJBException, RemoteException {}

	// home calls
	public Integer ejbCreate(String empname,Integer emptype) throws EJBException, RemoteException,CreateException {
		setEmpname(empname);
		setEmptype(emptype);
		return 0;
	}

	public void ejbPostCreate(java.lang.String empname, java.lang.Integer emptype) throws EJBException, RemoteException,CreateException {

	}

}
